### Constructor

# Gsk TextureNodenew

#### Declaration [src]

    GskRenderNode*
    gsk_texture_node_new (
      GdkTexture* texture,
      const graphene_rect_t* bounds
    )

#### Description [src]

Creates a `GskRenderNode` that will render the given `texture` into the area given by `bounds`.

Note that GSK applies linear filtering when textures are scaled and transformed. See `GskTextureScaleNode` for a way to influence filtering.

#### Parameters

`texture`

  Type: `GdkTexture`

  The `GdkTexture`

  The data is owned by the caller of the function.

`bounds`

  Type: `graphene_rect_t`

  The rectangle to render the texture into.

  The data is owned by the caller of the function.

#### Return value

Type: `GskTextureNode`

A new `GskRenderNode`

The caller of the function takes ownership of the data, and is responsible for freeing it.